digiKam Developer Documentation: Digikam::RGWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::RGWidget Class Reference

The RGWidget class represents the main widget for reverse geocoding.

Inheritance diagram for Digikam::RGWidget:

## Signals
void | signalProgressChanged (const int currentProgress)
| Counts how many images were processed.
void | signalProgressSetup (const int maxProgress, const QString &progressText)
| Update the progress bar.
void | signalSetUIEnabled (const bool enabledState)
| This signal emits when containing widgets need to be enabled or disabled.
void | signalSetUIEnabledWithCancel (const bool enabledState, QObject *const cancelObject, const QString &cancelSlot)
void | signalUndoCommand (GPSUndoCommand *undoCommand)
| Sends the needed data to Undo/Redo Widget.

## Public Member Functions
| RGWidget (GPSItemModel *const imageModel, QItemSelectionModel *const selectionModel, QAbstractItemModel *externTagModel, QWidget *const parent=nullptr)
| Constructor.
| ~RGWidget () override
| Destructor.
void | readSettingsFromGroup (const KConfigGroup *const group)
| Restores the settings of widgets contained in reverse geocoding widget.
void | saveSettingsToGroup (KConfigGroup *const group)
| Saves the settings of widgets contained in reverse geocoding widget.
void | setUIEnabled (const bool state)
| Sets whether the containing widgets are enabled or disabled.

## Protected Member Functions
bool | eventFilter (QObject *watched, QEvent *event) override
| Here are filtered the events.

## Constructor & Destructor Documentation

## ◆ RGWidget()

Digikam::RGWidget::RGWidget | ( | GPSItemModel *const | imageModel,
|  | QItemSelectionModel *const | selectionModel,
|  | QAbstractItemModel * | externTagModel,
|  | QWidget *const | parent = `nullptr`
| ) |  |
| explicit

Parameters

  imageModel | The image model
  selectionModel | The image selection model
  externTagModel | The tag model
  parent | The parent object

## Member Function Documentation

## ◆ readSettingsFromGroup()

void Digikam::RGWidget::readSettingsFromGroup | ( | const KConfigGroup *const | group | ) |

Parameters

  group | Here are stored the settings.

## ◆ saveSettingsToGroup()

void Digikam::RGWidget::saveSettingsToGroup | ( | KConfigGroup *const | group | ) |

Parameters

  group | Here are stored the settings.

## ◆ setUIEnabled()

void Digikam::RGWidget::setUIEnabled | ( | const bool | state | ) |

Parameters

  state | If true, the controls are enabled.

## ◆ signalProgressChanged

void Digikam::RGWidget::signalProgressChanged | ( | const int | currentProgress | ) |
| signal

Parameters

  currentProgress | The number of processed images.

## ◆ signalSetUIEnabled

void Digikam::RGWidget::signalSetUIEnabled | ( | const bool | enabledState | ) |
| signal

Parameters

  enabledState | If true, the containing widgets will be enabled. Else, they will be disabled.

## ◆ signalUndoCommand

void Digikam::RGWidget::signalUndoCommand | ( | GPSUndoCommand * | undoCommand | ) |
| signal

Parameters

  undoCommand | Holds the data that will be used for undo or redo actions